%define debug_package %{nil}

%define	System	linux
%define Vol	Volatility3

Summary:	Volatility 3 Linux Symbols - These are the Operating System kernel Symbols for Volatility 3

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		Volatility3-%{System}-symbols
Version:	20191016
Release:	3
URL:		https://downloads.volatilityfoundation.org/volatility3/symbols

BuildArch:	noarch

License:	GPL

Group:		Applications/Forensics Tools
Source0:	%{Vol}-%{System}-symbols-%{version}.zip

BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
Requires:	unzip
Requires:	Volatility3

%description
These are the Linux Operating System Symbols for Volatility 3

%prep
%setup -c -T

%build 
echo Nothing to make

%install
%{__install} -d -m755 %{buildroot}%{_datadir}/%{Vol}/symbols
%{__install} %{SOURCE0} %{buildroot}%{_datadir}/%{Vol}/symbols

%post
cd %{_datadir}/%{Vol}/symbols
if [ -f %(basename %{SOURCE0}) ]; then
	unzip -qo %(basename %{SOURCE0})
	rm -f %(basename %{SOURCE0})
fi

%postun
if [ "$1" == 0 ]; then
	%{__rm} -rf %{_datadir}/%{Vol}/symbols/%{System}
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%{_datadir}/%{Vol}/symbols/%(basename %{SOURCE0})

%changelog
* Thu Aug 24 2023 Lawrence R. Rogers <lrr@cert.org> 20191016-3
* Release 20191016-3
	Removes unneeded files after installation and package removal.

* Tue Aug 22 2023 Lawrence R. Rogers <lrr@cert.org> 20191016-2
* Release 20191016-2
	Removes unneeded files after installation and package removal.

* Wed Oct 16  2019 Lawrence R. Rogers <lrr@cert.org> 20191016-1
* Release 20191016-1
	Linux Operating System Symbols for Volatility 3 from 20191016.
